Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/mtprng.h File Reference

Mersenne twister pseudo-random number generator, header. More...

`#include "beecrypt.h"`

Go to the source code of this file.

## Data Structures
struct | mtprngParam
## Defines
#define | N 624
#define | M 397
#define | K 0x9908B0DF
## Functions
int | mtprngSetup (mtprngParam *mp)
int | mtprngSeed (mtprngParam *mp, const uint32 *data, int size)
int | mtprngNext (mtprngParam *mp, uint32 *data, int size)
int | mtprngCleanup (mtprngParam *mp)
## Variables
const randomGenerator | mtprng

## Detailed Description

Mersenne twister pseudo-random number generator, header.

Definition in file mtprng.h.

## Define Documentation

#define K 0x9908B0DF

| Definition at line 48 of file mtprng.h. Referenced by mtprngReload.

#define M 397

| Definition at line 47 of file mtprng.h. Referenced by mtprngReload.

#define N 624

| Definition at line 46 of file mtprng.h. Referenced by mtprngReload, mtprngSeed, mtprngSetup, rpmds_iternext, rpmds_Single, rpmdsN, rpmdsNew, rpmdsSingle, rpmdsThis, and XrpmdsLink.

## Function Documentation

int mtprngCleanup | ( | mtprngParam * | mp | ) |

| Definition at line 220 of file mtprng.c.

int mtprngNext | ( | mtprngParam * | mp,
|  | uint32 * | data,
|  | int | size
| ) |

| Definition at line 161 of file mtprng.c.

int mtprngSeed | ( | mtprngParam * | mp,
|  | const uint32 * | data,
|  | int | size
| ) |

| Definition at line 108 of file mtprng.c. References BEECRYPTAPI.

int mtprngSetup | ( | mtprngParam * | mp | ) |

| Definition at line 77 of file mtprng.c.

## Variable Documentation

const randomGenerator mtprng

| Definition at line 79 of file mtprng.h.